

Fix namespace collision between igxb and e1000.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/e1000/e1000_ethtool.c |    2 +-
 25-akpm/drivers/net/e1000/e1000_main.c    |    4 ++--
 25-akpm/drivers/net/ixgb/ixgb_ethtool.c   |    2 +-
 25-akpm/drivers/net/ixgb/ixgb_main.c      |    4 ++--
 4 files changed, 6 insertions(+), 6 deletions(-)

diff -puN drivers/net/ixgb/ixgb_main.c~igxb-build-fix drivers/net/ixgb/ixgb_main.c
--- 25/drivers/net/ixgb/ixgb_main.c~igxb-build-fix	2005-01-10 22:49:13.340015264 -0800
+++ 25-akpm/drivers/net/ixgb/ixgb_main.c	2005-01-10 22:49:13.350013744 -0800
@@ -107,7 +107,7 @@ static boolean_t ixgb_clean_rx_irq(struc
 static boolean_t ixgb_clean_rx_irq(struct ixgb_adapter *adapter);
 #endif
 static void ixgb_alloc_rx_buffers(struct ixgb_adapter *adapter);
-void set_ethtool_ops(struct net_device *netdev);
+void ixgb_set_ethtool_ops(struct net_device *netdev);
 static void ixgb_tx_timeout(struct net_device *dev);
 static void ixgb_tx_timeout_task(struct net_device *dev);
 static void ixgb_vlan_rx_register(struct net_device *netdev,
@@ -411,7 +411,7 @@ ixgb_probe(struct pci_dev *pdev,
 	netdev->set_multicast_list = &ixgb_set_multi;
 	netdev->set_mac_address = &ixgb_set_mac;
 	netdev->change_mtu = &ixgb_change_mtu;
-	set_ethtool_ops(netdev);
+	ixgb_set_ethtool_ops(netdev);
 	netdev->tx_timeout = &ixgb_tx_timeout;
 	netdev->watchdog_timeo = HZ;
 #ifdef CONFIG_IXGB_NAPI
diff -puN drivers/net/ixgb/ixgb_ethtool.c~igxb-build-fix drivers/net/ixgb/ixgb_ethtool.c
--- 25/drivers/net/ixgb/ixgb_ethtool.c~igxb-build-fix	2005-01-10 22:49:13.342014960 -0800
+++ 25-akpm/drivers/net/ixgb/ixgb_ethtool.c	2005-01-10 22:49:13.351013592 -0800
@@ -695,7 +695,7 @@ struct ethtool_ops ixgb_ethtool_ops = {
 	.get_ethtool_stats = ixgb_get_ethtool_stats,
 };
 
-void set_ethtool_ops(struct net_device *netdev)
+void ixgb_set_ethtool_ops(struct net_device *netdev)
 {
 	SET_ETHTOOL_OPS(netdev, &ixgb_ethtool_ops);
 }
diff -puN drivers/net/e1000/e1000_ethtool.c~igxb-build-fix drivers/net/e1000/e1000_ethtool.c
--- 25/drivers/net/e1000/e1000_ethtool.c~igxb-build-fix	2005-01-10 22:49:13.344014656 -0800
+++ 25-akpm/drivers/net/e1000/e1000_ethtool.c	2005-01-10 22:49:22.075687240 -0800
@@ -1666,7 +1666,7 @@ struct ethtool_ops e1000_ethtool_ops = {
 	.get_ethtool_stats      = e1000_get_ethtool_stats,
 };
 
-void set_ethtool_ops(struct net_device *netdev)
+void e1000_set_ethtool_ops(struct net_device *netdev)
 {
 	SET_ETHTOOL_OPS(netdev, &e1000_ethtool_ops);
 }
diff -puN drivers/net/e1000/e1000_main.c~igxb-build-fix drivers/net/e1000/e1000_main.c
--- 25/drivers/net/e1000/e1000_main.c~igxb-build-fix	2005-01-10 22:49:13.345014504 -0800
+++ 25-akpm/drivers/net/e1000/e1000_main.c	2005-01-10 22:49:13.353013288 -0800
@@ -151,7 +151,7 @@ static void e1000_alloc_rx_buffers(struc
 static int e1000_ioctl(struct net_device *netdev, struct ifreq *ifr, int cmd);
 static int e1000_mii_ioctl(struct net_device *netdev, struct ifreq *ifr,
 			   int cmd);
-void set_ethtool_ops(struct net_device *netdev);
+void e1000_set_ethtool_ops(struct net_device *netdev);
 static void e1000_enter_82542_rst(struct e1000_adapter *adapter);
 static void e1000_leave_82542_rst(struct e1000_adapter *adapter);
 static void e1000_tx_timeout(struct net_device *dev);
@@ -475,7 +475,7 @@ e1000_probe(struct pci_dev *pdev,
 	netdev->set_mac_address = &e1000_set_mac;
 	netdev->change_mtu = &e1000_change_mtu;
 	netdev->do_ioctl = &e1000_ioctl;
-	set_ethtool_ops(netdev);
+	e1000_set_ethtool_ops(netdev);
 	netdev->tx_timeout = &e1000_tx_timeout;
 	netdev->watchdog_timeo = 5 * HZ;
 #ifdef CONFIG_E1000_NAPI
_
